XTLPC(8)

NAME
xtlpc - LPD protocol server driver

SYNOPSIS
xtlpc -H hostname -f ctrlfile [ -F fifo ] [ -S host ] [ -P ptrname ] [ -N ] [ file ]

DESCRIPTION
xtlpc is a terminal server program for use by GNUspool where the destination is an LPD protocol server. Input is usually taken from standard input, or from the supplied file name.

OPTIONS

-H hostname
    This is the host name or IP address to be used to access the printer. In GNUspool setup files, it may be appropriate to substitute $SPOOLDEV or $SPOOLPTR here.

-f ctrlfile
    This specifies the location of the control file, typically xtlpc-ctrl in the internal programs directory.

-S hostname
    This is the host name or IP address of the sending host, in the cases where gethostname(3) does not yield an appropriate answer.

-P ptrname
    The LPD protocol supplies a name to the printer. By default, this is taken from SPOOLPTR, i.e. the name given as the name of the printer under GNUspool. Some terminal servers require a specific name to be given to the printer, perhaps to select which printer, or printer option of several is to be specified. This option overrides this printer name in the protocol.

-F fifo
    Take input from the named fifo rather than standard input or the supplied file.

    This is useful in situations where the LPD protocol has to be run from a command line, i.e. a console session, and files sent to it by having GNUspool write to the fifo.

-N  Avoid sending zero length files, which confuse some servers.

DIAGNOSTICS
xtlpc generates any appropriate diagnostics on standard error.

EXIT CODES
Normal termination is denoted by an exit code of zero.

1   Usage error, invalid option etc.

2   No control file given.

3   No destination host given.

4   Cannot open input file.

5   Unknown host name.

6   Cannot open control file.

7   Syntax errors in control file.

8   No spool directory defined.

9   Cannot select spool directory.

10  Control card format not given in control file

11  Invalid format control card in control file

12  Cannot write to spool directory

13  Cannot create spool file

14  Cannot allocate file name.

15  Cannot open FIFO.

16  Name given is not a FIFO.

17  Cannot specify input and FIFO.

20  Cannot create sequence file

30  No port name in control file

31  TCP protocol missing

32  Cannot find named port in service file

33  Cannot open socket.

34  Cannot bind port

35  Cannot allocate TCP device

36  Cannot make connection

37  Cannot allocate TCP space or change stream

40  Write failure writing to socket

41  Lost spool file

42  Read failure ack packet.

43  Error return from remote.

50  Cannot determine own host name

51  Invalid host name

200 Exit on signal.

FILES
xtlpc-ctrl control file

/var/spool/gnuspool/xtlpc spool directory (may be changed in xtlpc-ctrl)

SEE ALSO
xilp(8), xtelnet(8), xtftp(8), xtlhp(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.